Skip to content, Skip to search

Changes

2016-05-10 - ImageJ HOWTO - Java 8, Java 6, Java 3D

266 bytes added, 09:34, 1 September 2017
Current recommendations and possibilities: Fix typo
! style="white-space: nowrap" |
[[File:Win.png|alt=Windows|x32px]]
<br>[[File:Osx.png|alt=OS XmacOS|x32px]]
<br>[[File:Tux.png|alt=Linux|x32px]]
| '''Recommended.'''
[[File:Win.png|alt=Windows|x32px]]
<br>[[File:Tux.png|alt=Linux|x32px]]
| Download the 2015final (2017-DecMay-22 30) [[Fiji/Downloads#Life-Line_Fiji_versionsJava_6|LifeJava-Line 6 version of Fiji]] for your platform. It comes bundled with Java 6, with the Java-8 update site ''disabled''and all platform launchers.
| rowspan=2 | Run [[Updater|{{bc|Help|Update...}}]] to update to the latest Java-6-compatible version. Your Fiji will become outdated over time, stuck on the final Java-6-compatible plugin versions.
| rowspan=2 | Run [[3D Viewer|{{bc|Plugins|3D Viewer}}]] to trigger installation of [[Java 3D]] 1.5 if you need 3D viz.
|-
! [[File:Osx.png|alt=OS XmacOS|x32px]]| Download the 2015final (2017-DecMay-22 30) [[Fiji/Downloads#Life-Line_Fiji_versionsJava_6|LifeJava-Line 6 version of Fiji]] for OS X. It is distributed ''without'' Java, so you must [[Frequently Asked Questions#How_do_I_set_up_Java_6_on_OS_X.3F|install Apple Java 6]] on your system.
* If you have Java 7 and/or Java 8 installed, uninstall them—or else ImageJ will not use your Java 6 installation.
* Afterwards, [[Troubleshooting#Checking_the_Java_version|verify that Fiji is using Java 6]].
! style="white-space: nowrap" |
[[File:Win.png|alt=Windows|x32px]]
<br>[[File:Osx.png|alt=OS XmacOS|x32px]]
<br>[[File:Tux.png|alt=Linux|x32px]]
|
! style="white-space: nowrap" |
[[File:Win.png|alt=Windows|x32px]]
<br>[[File:Osx.png|alt=OS XmacOS|x32px]]
<br>[[File:Tux.png|alt=Linux|x32px]]
| It is possible to set up a "plain" ImageJ2 with Java 6, but '''not recommended''':
If you have downloaded Fiji or ImageJ2 quite some time ago (before 2016), you probably have the Java 6 version ([[Troubleshooting#Checking_the_Java_version|how do I find out?]]). So when you update, you will not receive the latest plugin releases anymore, as described above.
To upgrade * If you '''still need Java 6, do nothing.'''** For now, you will keep receiving updates of [[ImageJ 1.x]].** But you will no longer receive updates for most ImageJ2 or Fiji components—they have all migrated to the Java 8 version and receive .* If you '''want the latest updates''', [[FAQ#How_do_I_launch_ImageJ_with_a_different_version_of_Java.3F|update your ImageJ installation to use Java 8]] and then [[How to follow a 3rd party update site|enable the Java-8 update site]].** '''Make sure you have two choices:switch your ImageJ over to Java 8 ''before'' enabling the Java-8 update site!'''
# Download a new Fiji as described above; or# [[Frequently Asked Questions#How_do_I_launch_ImageJ_with_a_different_version_of_Java.3F{{Warning |Switch your current installation over to Java 8]], and ''then'' If you enable the Java-8 update site.while still running Java 6, your installation will become non-functional!}}
'''''If Alternately, you enable the Java-8 update site while still running Java 6, your installation will become non-functional''''''!can simply download a new Fiji as described above.
== About the Java-8 update site ==
* [[Java 3D]] 1.5 works with Java 6, but:
** It has a restrictive license.
** It does not work with Java 7 or 8 on OS XmacOS.
** It does not work with Java 8 (or 7?) on some Windows systems.
Please be aware that [[Java 3D]] is essentially a dead technology. The future of 3D visualization in ImageJ is the [[ClearVolume]] pluginand [[SciView]] plugins. But it will be a lot of work to rebuild the rewrite all [[3D Viewer]] on top of ClearVolumefunctionality, so the ImageJ and Fiji teams are still exploring the best ways to proceed here.
[[Category:News]]
Bureaucrat, emailconfirmed, incoming, administrator, uploaders
11,834
edits